Bug 167803 - [patch] Fix mail/opendkim whenever WITH_FILTER is not specified
Summary: [patch] Fix mail/opendkim whenever WITH_FILTER is not specified
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-11 17:40 UTC by Ryan Steinmetz
Modified: 2012-05-15 01:30 UTC (History)
0 users

See Also:


Attachments
file.diff (497 bytes, patch)
2012-05-11 17:40 UTC, Ryan Steinmetz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Steinmetz freebsd_committer freebsd_triage 2012-05-11 17:40:12 UTC
If mail/opendkim is built WITHOUT_FILTER, installation will fail due to a logic error in post-install:

test -z "/usr/ports/mail/opendkim/work/doc" || build-aux/install-sh -c -d "/usr/ports/mail/opendkim/work/doc"
 install  -o root -g wheel -m 444 FEATURES KNOWNBUGS LICENSE LICENSE.Sendmail RELEASE_NOTES.Sendmail '/usr/ports/mail/opendkim/work/doc'
/usr/bin/strip: '/usr/local/sbin/opendkim': No such file
*** Error code 1

Stop in /usr/ports/mail/opendkim.
*** Error code 1

Stop in /usr/ports/mail/opendkim.

Fix: Apply the attached patch.

Patch attached with submission follows:
How-To-Repeat: Build/install mail/opendkim without FILTER selected in OPTIONS.
Comment 1 Edwin Groothuis freebsd_committer 2012-05-11 17:40:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-11 17:40:24 UTC
Maintainer of mail/opendkim,

Please note that PR ports/167803 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167803

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-05-11 17:40:26 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Hirohisa Yamaguchi 2012-05-15 00:57:24 UTC
Hi,

I see the problem and the patch looks okay.
I approve it, thanks.

At Fri, 11 May 2012 16:40:24 UT,
Edwin Groothuis wrote:
> Please note that PR ports/167803 has just been submitted.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167803


Regards,
-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 5 dfilter service freebsd_committer 2012-05-15 01:24:19 UTC
zi          2012-05-15 00:24:09 UTC

  FreeBSD ports repository

  Modified files:
    mail/opendkim        Makefile 
  Log:
  - Fix install whenever WITH_FILTER is not specified
  - Do not bump PORTREVISION
  
  PR:             ports/167803
  Submitted by:   zi
  Approved by:    Hirohisa Yamaguchi <umq@ueo.co.jp> (maintainer)
  
  Revision  Changes    Path
  1.16      +1 -1      ports/mail/opendkim/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Ryan Steinmetz freebsd_committer freebsd_triage 2012-05-15 01:24:23 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!